Skip to content

# Class: CatalogEntity<Metadata, Status, Spec>

Common.Catalog.CatalogEntity

## Type parameters

Name | Type
--- | ---
`Metadata` | `Metadata`: CatalogEntityMetadata = CatalogEntityMetadata
`Status` | `Status`: CatalogEntityStatus = CatalogEntityStatus
`Spec` | `Spec`: CatalogEntitySpec = CatalogEntitySpec

## Hierarchy

- CatalogEntity

↳ GeneralEntity

↳ KubernetesCluster

↳ WebLink

## Implements

- CatalogEntityKindData

## Table of contents

### Constructors

- constructor

### Properties

- apiVersion
- kind
- metadata
- spec
- status

### Methods

- getId
- getName
- onContextMenuOpen
- onRun
- onSettingsOpen

## Constructors

### constructor

• new CatalogEntity<Metadata, Status, Spec>(`data`)

#### Type parameters

Name | Type
--- | ---
`Metadata` | `Metadata`: CatalogEntityMetadata = CatalogEntityMetadata
`Status` | `Status`: CatalogEntityStatus = CatalogEntityStatus
`Spec` | `Spec`: CatalogEntitySpec = CatalogEntitySpec

#### Parameters

Name | Type
--- | ---
`data` | CatalogEntityData<Metadata, Status, Spec>

## Properties

### apiVersion

• `Readonly` `Abstract` apiVersion: `string`

#### Implementation of

CatalogEntityKindData.apiVersion

### kind

• `Readonly` `Abstract` kind: `string`

#### Implementation of

CatalogEntityKindData.kind

### metadata

• metadata: `Metadata`

### spec

• spec: `Spec`

### status

• status: `Status`

## Methods

### getId

▸ getId(): `string`

#### Returns

`string`

### getName

▸ getName(): `string`

#### Returns

`string`

### onContextMenuOpen

▸ `Abstract` onContextMenuOpen(`context`): `void` | `Promise`<void>

#### Parameters

Name | Type
--- | ---
`context` | CatalogEntityContextMenuContext

#### Returns

`void` | `Promise`<void>

### onRun

▸ `Optional` `Abstract` onRun(`context`): `void` | `Promise`<void>

#### Parameters

Name | Type
--- | ---
`context` | CatalogEntityActionContext

#### Returns

`void` | `Promise`<void>

### onSettingsOpen

▸ `Abstract` onSettingsOpen(`context`): `void` | `Promise`<void>

#### Parameters

Name | Type
--- | ---
`context` | CatalogEntitySettingsContext

#### Returns

`void` | `Promise`<void>